---
search:
  tags:
    - livesync
    - POST
seo:
  description: >-
    Set wal_level=logical on a managed source and… Reference for the POST
    /api/v1/livesync/source/{id}/enable-logical endpoint in the TimescaleDB
    Enterprise API.
sidebar:
  label: Set wal_level to logical
  badge: POST
title: Set wal_level to logical
type: openapi-operation
---
Set wal_level=logical on a managed source and restart it (cluster restart for HA).

`POST /api/v1/livesync/source/{id}/enable-logical`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "error": "string",
  "extensions_error": "string",
  "extensions_workflow_id": "string",
  "message": "string",
  "status": "ok"
}
```
